SDLColumnItem(3)

NAME
SDLColumnItem -

SYNOPSIS

#include <sdlcolumnitem.h>

Inherits SDLListBoxItem.

  Public Methods
SDLColumnItem (int columns, int height, void* userdata = NULL)
~SDLColumnItem ()
void SetColumnWidth (int column, int width)
void SetColumnText (int column, char* text)

  Protected Methods
void eventDraw (SDL_Surface* surface, SDL_Rect* rect)
Draw event handler.
void eventBlit (SDL_Surface* srf, SDL_Rect* src, SDL_Rect* dst)

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  SDLColumnItem::SDLColumnItem (int columns, int height, void * userdata = NULL)

  SDLColumnItem::~SDLColumnItem ()

MEMBER FUNCTION DOCUMENTATION

  void SDLColumnItem::SetColumnText (int column, char * text)

  void SDLColumnItem::SetColumnWidth (int column, int width)

  void SDLColumnItem::eventBlit (SDL_Surface * srf, SDL_Rect * src, SDL_Rect * dst) [protected, virtual]

Reimplemented from SDLListBoxItem.

  void SDLColumnItem::eventDraw (SDL_Surface * surface, SDL_Rect * rect) [protected, virtual]

Draw event handler.

Parameters:

SDL_Surface Surface to draw to.

rect Rectangle to draw in, relative to surface.

Reimplemented from SDLLabel.

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.